Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224512 - Vacant screen with no menu or text
Summary: Vacant screen with no menu or text
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gftp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-25 23:43 UTC by Jim Cornette
Modified: 2018-04-11 12:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-04 03:21:01 UTC


Attachments (Terms of Use)
Attached is a wonderful screenshot for reference (deleted)
2007-02-04 15:08 UTC, Jim Cornette
no flags Details

Description Jim Cornette 2007-01-25 23:43:55 UTC
Description of problem:


Version-Release number of selected component (if applicable):
gftp-2.0.18-3.2.2

How reproducible:
Launch gftp and notice no menus, pulldowns or directories

Steps to Reproduce:
1. Launch gftp from the menu
2. wait for application to load
3. notice vacant screen
  
Actual results:

There is a frame where other objects go, like the two panes, area for the
pull-downs but no directory structures visible. Momentarily you do see some
directories for the left local pane but soon they disapear.

Expected results:
Be able to check out sites for downloading files.ls

Additional info:
Strace shows below output: (tail end of trace)

read(17, "/* XPM */\nstatic char * doc_xpm["..., 4096) = 1215
_llseek(17, 0, [0], SEEK_SET)           = 0
read(17, "/* XPM */\nstatic char * doc_xpm["..., 4096) = 1215
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
_llseek(17, 1215, [1215], SEEK_SET)     = 0
close(17)                               = 0
munmap(0xb4313000, 4096)                = 0
geteuid32()                             = 500
open("/etc/passwd", O_RDONLY)           = 17
fcntl64(17, F_GETFD)                    = 0
fcntl64(17, F_SETFD, FD_CLOEXEC)        = 0
fstat64(17, {st_mode=S_IFREG|0644, st_size=1970, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb4313000
read(17, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 1970
close(17)                               = 0
munmap(0xb4313000, 4096)                = 0
access("/home/jim/.gftp/img.xpm", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/share/gftp/img.xpm", F_OK) = 0
open("/usr/share/gftp/img.xpm", O_RDONLY|O_LARGEFILE) = 17
fstat64(17, {st_mode=S_IFREG|0644, st_size=1555, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb4313000
read(17, "/* XPM */\nstatic char * img_xpm["..., 4096) = 1555
_llseek(17, 0, [0], SEEK_SET)           = 0
read(17, "/* XPM */\nstatic char * img_xpm["..., 4096) = 1555
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
_llseek(17, 1555, [1555], SEEK_SET)     = 0
close(17)                               = 0
munmap(0xb4313000, 4096)                = 0
geteuid32()                             = 500
open("/etc/passwd", O_RDONLY)           = 17
fcntl64(17, F_GETFD)                    = 0
fcntl64(17, F_SETFD, FD_CLOEXEC)        = 0
fstat64(17, {st_mode=S_IFREG|0644, st_size=1970, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb4313000
read(17, "root:x:0:0:root:/root:/bin/bash\n"..., 4096) = 1970
close(17)                               = 0
munmap(0xb4313000, 4096)                = 0
access("/home/jim/.gftp/exe.xpm", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/share/gftp/exe.xpm", F_OK) = 0
open("/usr/share/gftp/exe.xpm", O_RDONLY|O_LARGEFILE) = 17
fstat64(17, {st_mode=S_IFREG|0644, st_size=867, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb4313000
read(17, "/* XPM */\nstatic char * exe_xpm["..., 4096) = 867
read(17, "", 4096)                      = 0
_llseek(17, 0, [0], SEEK_SET)           = 0
read(17, "/* XPM */\nstatic char * exe_xpm["..., 4096) = 867
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
_llseek(17, 867, [867], SEEK_SET)       = 0
close(17)                               = 0
munmap(0xb4313000, 4096)                = 0
write(6, "5\30\4\0\312\0@\5\217\0\0\0\20\0\20\0\235\4\6\0\313\0@"..., 16376) = 16376
brk(0xa2f4000)                          = 0xa2f4000
brk(0xa2f3000)                          = 0xa2f3000
futex(0xa084510, FUTEX_WAIT, 2, NULL)   = -1 EINTR (Interrupted system call)
--- SIGWINCH (Window changed) @ 0 (0) ---
futex(0xa084510, FUTEX_WAIT, 2, NULL <unfinished ...>
+++ killed by SIGKILL +++
Process 3383 detached

Comment 1 Jim Cornette 2007-01-25 23:55:12 UTC
The Interupted was when I decided to close down the window with the right X
button on the top of pane. I chose wait which showed the unfinished followed by
quiting the dialog box,

Comment 2 Jim Cornette 2007-01-31 23:06:39 UTC
gftp still does not work. The same description applies

Comment 3 Jim Cornette 2007-02-04 15:08:56 UTC
Created attachment 147303 [details]
Attached is a wonderful screenshot for reference

This program is in a completely unusable state.

Comment 4 sean 2007-02-05 22:32:18 UTC
FWIW, I have the same problem. Rebuilt the src.rpm. No obvious build errors, but
same result. 

Comment 5 Jim Cornette 2007-02-05 23:28:13 UTC
I tried running gdb without any results. As another measeure, I attached the
running process and ended up with the above screenshot and this brief FUTEX_WAIT
Until I killed the process with the right quit application and confirming the
dialog to quit instead of wait.
 strace -p 3427
Process 3427 attached - interrupt to quit
futex(0x912b510, FUTEX_WAIT, 2, NULL <unfinished ...>
+++ killed by SIGKILL +++
Process 3427 detached

Both /usr/bin/gftp-gtk and /usr/bin/gtk are set to rwxr-xr-x permissions and set
to root:root

Comment 6 Jim Cornette 2007-02-06 00:04:49 UTC
I found a patch upstream by Nick, I believe. I did not try this since I lack the
knowledge as to how to patch and build the rpm from source.

Link below to patch upstream.
http://bugzilla.gnome.org/attachment.cgi?id=81092&action=view

Bug report upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=400290

As a not: I tried compiling the upstream version, installing and launching. I
tried older versions of gftp and they all exhibited this problem.

Comment 7 nick mainsbridge 2007-02-06 01:06:25 UTC
that patch of mine is pretty bogus as it allows exactly one (comlete, no errors)
transfer before the application deadlocks again:)
sorry i don't have time right now to track it down further.

Comment 8 Jim Cornette 2007-02-07 01:30:01 UTC
Thanks for adding the information about the deadlock happening soon after.
I am completely clueless as to why gftp is broken for Fedora 7 (rawhide) even
using the upstream version or a version from. I don't think it is specifically
gftp but related to one of the requirements for the program.

might this be a lib related to pango or threading?

rpm -q --requires gftp
/bin/sh  
libatk-1.0.so.0  
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1)  
libc.so.6(GLIBC_2.2)  
libc.so.6(GLIBC_2.3)  
libc.so.6(GLIBC_2.3.4)  
libc.so.6(GLIBC_2.4)  
libcairo.so.2  
libcrypto.so.6  
libdl.so.2  
libgdk-x11-2.0.so.0  
libgdk_pixbuf-2.0.so.0  
libglib-2.0.so.0  
libgmodule-2.0.so.0  
libgobject-2.0.so.0  
libgthread-2.0.so.0  
libgtk-x11-2.0.so.0  
libm.so.6  
libnsl.so.1  
libpango-1.0.so.0  
libpangocairo-1.0.so.0  
libpthread.so.0  
libpthread.so.0(GLIBC_2.0)  
libpthread.so.0(GLIBC_2.1)  
libpthread.so.0(GLIBC_2.2)  
libssl.so.6  
libutil.so.1  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  


Comment 9 Jim Cornette 2007-02-07 01:55:57 UTC
Clarifying the missing comment. No matter what version of gftp that I install, a
version from fc6, the tarball or the development version, they all fail with a
frame with no text as displayed in the screenshot.
What possible library or external cause would kill gftp?

Comment 10 Mike Chambers 2007-02-17 14:09:09 UTC
I am also seeing this problem, and agree it's probably something other than gftp
that is causing it.

Comment 11 Jim Cornette 2007-02-24 21:10:18 UTC
Another user is seeing this problem with bug 229943. If it is not gftp directly,
what dynamic libs might be causing the problem?

Comment 12 Jim Cornette 2007-03-04 03:21:01 UTC
Fixed with gftp-2.0.18-4.fc7 release.


Note You need to log in before you can comment on or make changes to this bug.